<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     local_aatplugin
 * @category    string
 * @copyright   2023 Joseph Larochelle <larochellejo@hotmail.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'AAT Export Utility';
$string['desc'] = 'This is a plugin that allows you to export all data related to a course via an encrypted SQL dump file.';
$string['infomessage'] = 'Welcome to the AAT plugin, this plugin allows you to download records from courses in which you are
an instructor so they can be uploaded directly to the AAT website. Simply select one or more courses
from the list below and click the "Generate SQL Dump" button to download the SQL file.';
$string['coursename'] = 'Course Name';
$string['courseid'] = 'Course ID';
$string['select'] = 'Selection';
$string['generatedump'] = 'Generate SQL Dump';
$string['privacy:metadata'] = 'This plugin does not store any data. However, it does allow instructors to download course data
to be uploaded to the AAT website. The plugin searched the entire moodle database for data related to specific courses';
